BasicSplitPaneUI.BasicHorizontalLayoutManager (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicSplitPaneUI.BasicHorizontalLayoutManager class
Date: 2016-12-09

javax.swing.plaf.basic

## Class BasicSplitPaneUI.BasicHorizontalLayoutManager

- java.lang.Object
- - javax.swing.plaf.basic.BasicSplitPaneUI.BasicHorizontalLayoutManager

- All Implemented Interfaces:
    LayoutManager, LayoutManager2
  Direct Known Subclasses:
    BasicSplitPaneUI.BasicVerticalLayoutManager
  Enclosing class:
    BasicSplitPaneUI

      public class BasicSplitPaneUI.BasicHorizontalLayoutManager
      extends Object
      implements LayoutManager2

  LayoutManager for JSplitPanes that have an orientation of HORIZONTAL_SPLIT.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Component[]` | `components`
    `protected int[]` | `sizes`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLayoutComponent(Component comp, Object constraints)` Adds the specified component to the layout, using the specified constraint object.
    `void` | `addLayoutComponent(String place, Component component)` Adds the component at place.
    `protected int` | `getAvailableSize(Dimension containerSize, Insets insets)` Returns the available width based on the container size and Insets.
    `protected int` | `getInitialLocation(Insets insets)` Returns the left inset, unless the Insets are null in which case 0 is returned.
    `float` | `getLayoutAlignmentX(Container target)` Returns the alignment along the x axis.
    `float` | `getLayoutAlignmentY(Container target)` Returns the alignment along the y axis.
    `protected int` | `getPreferredSizeOfComponent(Component c)` Returns the width of the passed in Components preferred size.
    `protected int` | `getSizeOfComponent(Component c)` Returns the width of the passed in component.
    `protected int[]` | `getSizes()` Returns the sizes of the components.
    `void` | `invalidateLayout(Container c)` Does nothing.
    `void` | `layoutContainer(Container container)` Does the actual layout.
    `Dimension` | `maximumLayoutSize(Container target)` Returns the maximum layout size, which is Integer.MAX_VALUE in both directions.
    `Dimension` | `minimumLayoutSize(Container container)` Returns the minimum size needed to contain the children.
    `Dimension` | `preferredLayoutSize(Container container)` Returns the preferred size needed to contain the children.
    `void` | `removeLayoutComponent(Component component)` Removes the specified component from our knowledge.
    `protected void` | `resetSizeAt(int index)` Resets the size of the Component at the passed in location.
    `void` | `resetToPreferredSizes()` Marks the receiver so that the next time this instance is laid out it'll ask for the preferred sizes.
    `protected void` | `setComponentToSize(Component c, int size, int location, Insets insets, Dimension containerSize)` Sets the width of the component c to be size, placing its x location at location, y to the insets.top and height to the containersize.height less the top and bottom insets.
    `protected void` | `setSizes(int[] newSizes)` Sets the sizes to `newSizes`.
    `protected void` | `updateComponents()` Determines the components.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sizes

          protected int[] sizes

    - #### components

          protected Component[] components

  - ### Method Detail

    - #### layoutContainer

          public void layoutContainer(Container container)

      Does the actual layout.
      Specified by:
        `layoutContainer` in interface `LayoutManager`
      Parameters:
        `container` - the container to be laid out

    - #### addLayoutComponent

          public void addLayoutComponent(String place,
                                         Component component)

      Adds the component at place. Place must be one of JSplitPane.LEFT, RIGHT, TOP, BOTTOM, or null (for the divider).
      Specified by:
        `addLayoutComponent` in interface `LayoutManager`
      Parameters:
        `place` - the string to be associated with the component
        `component` - the component to be added

    - #### minimumLayoutSize

          public Dimension minimumLayoutSize(Container container)

      Returns the minimum size needed to contain the children. The width is the sum of all the children's min widths and the height is the largest of the children's minimum heights.
      Specified by:
        `minimumLayoutSize` in interface `LayoutManager`
      Parameters:
        `container` - the component to be laid out
      See Also:
        `LayoutManager.preferredLayoutSize(java.awt.Container)`

    - #### preferredLayoutSize

          public Dimension preferredLayoutSize(Container container)

      Returns the preferred size needed to contain the children. The width is the sum of all the preferred widths of the children and the height is the largest preferred height of the children.
      Specified by:
        `preferredLayoutSize` in interface `LayoutManager`
      Parameters:
        `container` - the container to be laid out
      See Also:
        `LayoutManager.minimumLayoutSize(java.awt.Container)`

    - #### removeLayoutComponent

          public void removeLayoutComponent(Component component)

      Removes the specified component from our knowledge.
      Specified by:
        `removeLayoutComponent` in interface `LayoutManager`
      Parameters:
        `component` - the component to be removed

    - #### addLayoutComponent

          public void addLayoutComponent(Component comp,
                                         Object constraints)

      Adds the specified component to the layout, using the specified constraint object.
      Specified by:
        `addLayoutComponent` in interface `LayoutManager2`
      Parameters:
        `comp` - the component to be added
        `constraints` - where/how the component is added to the layout.

    - #### getLayoutAlignmentX

          public float getLayoutAlignmentX(Container target)

      Returns the alignment along the x axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.
      Specified by:
        `getLayoutAlignmentX` in interface `LayoutManager2`

    - #### getLayoutAlignmentY

          public float getLayoutAlignmentY(Container target)

      Returns the alignment along the y axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.
      Specified by:
        `getLayoutAlignmentY` in interface `LayoutManager2`

    - #### invalidateLayout

          public void invalidateLayout(Container c)

      Does nothing. If the developer really wants to change the size of one of the views JSplitPane.resetToPreferredSizes should be messaged.
      Specified by:
        `invalidateLayout` in interface `LayoutManager2`

    - #### maximumLayoutSize

          public Dimension maximumLayoutSize(Container target)

      Returns the maximum layout size, which is Integer.MAX_VALUE in both directions.
      Specified by:
        `maximumLayoutSize` in interface `LayoutManager2`
      See Also:
        `Component.getMaximumSize()`, `LayoutManager`

    - #### resetToPreferredSizes

          public void resetToPreferredSizes()

      Marks the receiver so that the next time this instance is laid out it'll ask for the preferred sizes.

    - #### resetSizeAt

          protected void resetSizeAt(int index)

      Resets the size of the Component at the passed in location.

    - #### setSizes

          protected void setSizes(int[] newSizes)

      Sets the sizes to `newSizes`.

    - #### getSizes

          protected int[] getSizes()

      Returns the sizes of the components.

    - #### getPreferredSizeOfComponent

          protected int getPreferredSizeOfComponent(Component c)

      Returns the width of the passed in Components preferred size.

    - #### getSizeOfComponent

          protected int getSizeOfComponent(Component c)

      Returns the width of the passed in component.

    - #### getAvailableSize

          protected int getAvailableSize(Dimension containerSize,
                                         Insets insets)

      Returns the available width based on the container size and Insets.

    - #### getInitialLocation

          protected int getInitialLocation(Insets insets)

      Returns the left inset, unless the Insets are null in which case 0 is returned.

    - #### setComponentToSize

          protected void setComponentToSize(Component c,
                                            int size,
                                            int location,
                                            Insets insets,
                                            Dimension containerSize)

      Sets the width of the component c to be size, placing its x location at location, y to the insets.top and height to the containersize.height less the top and bottom insets.

    - #### updateComponents

          protected void updateComponents()

      Determines the components. This should be called whenever a new instance of this is installed into an existing SplitPane.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.